Cyberduck Mountain Duck CLI

#1069 closed defect (fixed)

SFTP fails with some symbolic links since update to 2.8b1

Reported by: hms Owned by: dkocher
Priority: highest Milestone: 2.8
Component: sftp Version: 2.8b1
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

Since updating, sftp listing and sunchnonisation actions fail with error message:

"A reference was made to a file which does not exist"

The sftp server is fine - sftp <user>:<ip> from terminal works with no problem

Get this error every time on attempting to connect to mac server.

On trying to synchronize to a linux server, the initial file listing is ok, showing all files on the remote server, but then synchronize window shows that none of the local files exist on the remote server. On cancelling the synchronisation, the transfer window comes up with this same "reference to a file which does not exist" error

Change History (6)

comment:1 Changed on Mar 20, 2007 at 3:19:25 PM by hms

  • Summary changed from SFTP fails since update to 2.8b1 to SFTP fails with some symbolic links since update to 2.8b1

This occurs when the target of a symbolic links is either absent (eg a link to a removable hard disk) or is given in relative terms (eg link.file -> ../target.file rather than link.file -> /toplevel/level2/target.file).

terminal sftp command simply lists the link as a file, but Cyberduck attempts to resolve the link and fails.

For listing, Cyberduck fails if there is an unrecognised link in the login directory (eg /Users/userid) even when asked to list a different path (eg sftp://userid@machine:22/dir).

Synchronisation will fail to provide the remote listing (and hence assume none of the local files exist on the remote sever) if there is an unrecognised link anywhere in the recursive directory listing.

comment:2 Changed on Apr 4, 2007 at 2:32:45 PM by dkocher

  • Milestone set to 2.8
  • Status changed from new to assigned

comment:3 Changed on Apr 4, 2007 at 2:34:43 PM by dkocher

  • Component changed from core to sftp

comment:4 Changed on Apr 20, 2007 at 12:55:25 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r2939.

comment:5 Changed on Jul 15, 2007 at 12:19:20 AM by singingwolfboy

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 2.7.3 to 2.8b1

I am confirming the original error of this ticket. I just updated to 2.8b1 (3161), and I am receiving the "A reference was made to a file which does not exist" error message when trying to connect via SFTP. Version 2.7.3 (2930) connects fine. I do not know if this problem was actually fixed in r2939 as stated by dkocher, but I am having this problem in r3161.

comment:6 Changed on Jul 15, 2007 at 9:12:38 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in r3166. See #1156.

Note: See TracTickets for help on using tickets.
swiss made software